Subject: bug#63483: closed (Re: [bug#63483] [PATCH v2 0/4] build: Update po4a process.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 03 Jun 2024 06:01:02 +0000

Your bug report

#63483: [PATCH 0/4] build: Update po4a process.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63483: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63483
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#63483] [PATCH v2 0/4] build: Update po4a process.
From: "pelzflorian (Florian Pelz)" <[email-masked]>
To: gemmaro <[email-masked]>
Cc: Julien Lepiller <[email-masked]>, Simon Tournier <[email-masked]>, Mathieu Othacehe <[email-masked]>, Ludovic Courtès <[email-masked]>, Tobias Geerinckx-Rice <[email-masked]>, Josselin Poiret <[email-masked]>, Ricardo Wurmus <[email-masked]>, Christopher Baines <[email-masked]>, [email-masked]
Date: Mon, 03 Jun 2024 08:00:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed as commits
77c79bf5daff2e8041453b7a7112656d6409264b
to
368e58afcb3b363098e52907c1ea9a385566f7d4
along with the monthly translations.

Big thanks to you, gemmaro, for taking the time, and sorry it took so
long.

The documentation I will update soon.

I have written to Julien once more, but you are right that the guix.git
repo and guix-translations.repo can be changed separately.

> Hello Julien, not urgent at all, but could you update your
> guix-translations repository along the lines of commit
>
> commit 2d4af5247057505956e841d396ec78af9f769837
> Author: gemmaro <[email-masked]>
> Date:   Sun Apr 14 16:18:51 2024 +0900
> 
>     build: Update the POT creation task with the po4a command.
> 
> , that is, add gemmaro’s po4a.cfg and, in the Makefile, replacing
> po4a-updatepo with po4a, so Guix will benefit when po4a gets new changes
> missing from its less-maintained po4a-updatepo?
> 
> Thank you for maintaining guix-translations.git.
> 
> Regards,
> Florian

Regards,
Florian

Subject: [PATCH 0/4] build: Update po4a process.
From: gemmaro <[email-masked]>
To: [email-masked]
Cc: gemmaro <[email-masked]>
Date: Sat, 13 May 2023 19:17:47 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

This patchset updates the po4a build process and is a follow-up to [1].

In particular, it now uses po4a command instead of po4a-updatepo and
po4a-translate in both Make tasks and `guix build -f doc/build.scm`.  So no
more warnings like "po4a-translate is deprecated.  The unified po4a(1) program
is more convenient and less error prone."

I have checked that the updated process works with `make`, `make dist`, `make
as-derivation` and `guix build -f doc/build.scm`, and there seem to be no
errors.  I don't think this affects other components like Weblate either
(Weblate components use po/doc/guix-manual.xx.po and
po/doc/guix-cookbook.xx.po, and these files are still to be generated).

Sorry for the delay in submitting this.  I hope there are no major mistakes
and that I'll no longer feel guilty every time I see po4a warnings.

[1] [PATCH 0/6] gnu: po4a: Update to 0.68
    https://issues.guix.gnu.org/60448

Best,
gemmaro.

gemmaro (4):
  build: Align Automake status lines of po4a and PO xref.
  build: Update po4a process for Makefiles.
  self: Update po4a process.
  doc: Update documentation about translation languages.

 Makefile.am           |  5 ++--
 configure.ac          |  3 +-
 doc/contributing.texi | 14 ++++-----
 doc/local.mk          | 67 ++++++++++++++++++++++++-------------------
 guix/self.scm         | 39 ++++++++++++-------------
 po/doc/local.mk       | 49 +++++++++++++------------------
 po/doc/po4a.cfg       | 42 +++++++++++++++++++++++++++
 7 files changed, 130 insertions(+), 89 deletions(-)
 create mode 100644 po/doc/po4a.cfg

base-commit: cf89a215cec346bc4d6622cbe353c058452b29b2
-- 
2.39.2